package com.ebts.generator.entity;

import com.ebts.common.annotation.Excel;
import com.ebts.common.core.entity.BaseEntity;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

/**
 * top万能查询字段对象 gen_top_search_column
 * 
 * @author clay
 * @date 2021-07-20
 */
public class TopSearchColumn extends BaseEntity{

    /** 主键id */
    private Long id;

    /** top万能查询表格主键id */
    @Excel(name = "top万能查询表格主键id")
    private Long searchTableId;

    /** 列名称 */
    @Excel(name = "列名称")
    private String columnName;

    /** 列描述 */
    @Excel(name = "列描述")
    private String columnComment;

    /** 列类型 */
    @Excel(name = "列类型")
    private String columnType;

    /** 是否使用 */
    @Excel(name = "是否使用")
    private Integer isUse;
    private Integer isPk;
    private Integer sort;

    public Integer getSort() {
        return sort;
    }

    public Integer getIsPk() {
        return isPk;
    }

    public void setIsPk(Integer isPk) {
        this.isPk = isPk;
    }

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setSearchTableId(Long searchTableId){
        this.searchTableId = searchTableId;
    }

    public Long getSearchTableId(){
        return searchTableId;
    }
    public void setColumnName(String columnName){
        this.columnName = columnName;
    }

    public String getColumnName(){
        return columnName;
    }
    public void setColumnComment(String columnComment){
        this.columnComment = columnComment;
    }

    public String getColumnComment(){
        return columnComment;
    }
    public void setColumnType(String columnType){
        this.columnType = columnType;
    }

    public String getColumnType(){
        return columnType;
    }
    public void setIsUse(Integer isUse){
        this.isUse = isUse;
    }

    public Integer getIsUse(){
        return isUse;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("searchTableId", getSearchTableId())
            .append("columnName", getColumnName())
            .append("columnComment", getColumnComment())
            .append("columnType", getColumnType())
            .append("isUse", getIsUse())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
